# Copyright 2019-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DESCRIPTION="Disable the screensaver and auto suspend"
HOMEPAGE="https://github.com/eonpatapon/gnome-shell-extension-caffeine"
SRC_URI="https://extensions.gnome.org/extension-data/caffeinepatapon.info.v33.shell-extension.zip -> ${P}.zip"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64"
IUSE="l10n_ja l10n_fr l10n_es l10n_pt l10n_ru l10n_hu l10n_sk l10n_pl l10n_tr l10n_sv l10n_it l10n_zh l10n_de"

RDEPEND="
	>=gnome-base/gnome-shell-3.32"
DEPEND="${RDEPEND}"

S="$WORKDIR"

GNOME_EXT_UUID="${PN}@patapon.info"

src_install() {
	insinto "/usr/share/gnome-shell/extensions/${GNOME_EXT_UUID}"
	doins "extension.js" "metadata.json" "prefs.js" "convenience.js"
	doins -r "icons" "schemas"

	insinto "/usr/share/gnome-shell/extensions/${GNOME_EXT_UUID}/locale"

	for l in ja fr es ru hu sk pl tr sv de; do
		use l10n_${l} && doins -r "locale/${l}"
	done

	use l10n_it && doins -r "locale/it_IT"
	use l10n_pt && doins -r "locale/pt_BR" "locale/pt_PT"
	use l10n_zh && doins -r "locale/zh_CN"
}
